//--OpenObject for SuperCollider by Julian Rohrhuber
//--this demo was made at subnet/salzburg 2009


//granular synthesis in sc with controllers in pd
s.boot
OpenObject.start

b= Buffer.read(s, Platform.resourceDir+/+"sounds/a11wlk01.wav")
(
SynthDef(\granular, {|bufnum, amp= 0, freq= 10, rate= 1, offset= 0, dur= 0.3, pan= 0|
	Out.ar(0, TGrains.ar(2, Impulse.ar(freq), bufnum, rate, offset*BufDur.ir(b), dur, pan, amp));
}).add;
)

x= Synth(\granular).publish(\grainX)
y= Synth(\granular).publish(\grainY)


//now open the file openobject_demo04_pd.pd in puredata


//--clean up
x.free
y.free
b.free
OpenObject.end
s.quit
